/*
    HasManifest.prg
    Author: Rich Muller, Ken Mayer
    Date..: January, 2006
    A function that simply returns a true/false value
    if a manifest file is being used by your application.
    It should work in both the IDE and the Runtime.

    Note: This should return false if being used on an
    operating system that is earlier than Windows XP.

    Usage: 
       ? "Do we have a Manifest file? "+hasManifest()

    Returns: Logical -- true/false value
*/

function hasManifest
  if val(right(os(),4)) # 5.01 // XP only for the moment
     return false
  endif
  if "runtime" $ version(0).toLowerCase()
     return (new array().dir(home()+"PLUSrun.exe.manifest") > 0 )
  else
     return (new array().dir(home()+"PLUS.exe.manifest") > 0 )
  endif
return false

